﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Windows.Foundation;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Data;

namespace ARSampleApp
{
	partial class MainPage
	{
		public MainPage()
		{
			InitializeComponent();
		}


		private void arPanel_Loaded(object sender, RoutedEventArgs e)
		{
			var panel = sender as SharpGIS.AR.Controls.ARPanel;
			AddHeadingDots(panel);
			panel.Start();
		}

		private void arPanel_Unloaded(object sender, RoutedEventArgs e)
		{
			(sender as SharpGIS.AR.Controls.ARPanel).Stop();
		}

		private void AddHeadingDots(SharpGIS.AR.Controls.ARPanel panel)
		{
			//Go 360 along the horizon to display heading text
			for (double heading = 20; heading < 360; heading += 20)
			{
				if (heading % 90 == 0) continue; //skip cardinal directions, since we already added markers for those in xaml
				TextBlock tb = new TextBlock() { Text = string.Format("{0}°", heading) };
				SharpGIS.AR.Controls.ARPanel.SetDirection(tb, new Point(0, heading));
				panel.Children.Add(tb);
			}
			//Display an up/down angle for each cardinal direction
			for (int i = 0; i < 360; i += 90)
			{
				for (int azimuth = -80; azimuth < 90; azimuth += 10)
				{
					if (azimuth == 0) continue; //skip cardinal directions, since we already added markers for those in xaml
					TextBlock tb = new TextBlock() { Text = string.Format("{0}", azimuth) };
					SharpGIS.AR.Controls.ARPanel.SetDirection(tb, new Point(azimuth, i));
					panel.Children.Add(tb);
				}
			}
		}
	}
}
